Subject: bug#60559: 29.0.60; "Cannot activate tree-sitter" spam

From: Jostein Kjønigsen <[email-masked]>
Date: Thu, 5 Jan 2023 08:57:05 +0100

On 05.01.2023 07:51, Eli Zaretskii wrote:
>
> So here's a suggestion for such a solution: we make all the
> *-ts-mode's optional.  That is, we don't add any of them to
> auto-mode-alist unless the file *-ts-mode.el is loaded

So if I understand this correctly, the change is simply that people 
wanting to use these modes now needs to do two things instead of one:

1. build with tree-sitter support (already a requirement)

2. will have to (require) the modes they want to use in their init.el 
(the change)

Have I understood things correctly? If so, that sounds perfectly 
reasonable to me.

--
Jostein